SDL_CleanupPropertyCallback(3type)

NAME
SDL_CleanupPropertyCallback - A callback used to free resources when a property is deleted.

SYNOPSIS
#include <SDL3/SDL_properties.h>

typedef void (SDLCALL *SDL_CleanupPropertyCallback)(void *userdata, void *value);

DESCRIPTION
This should release any resources associated with value that are no longer needed.

This callback is set per-property. Different properties in the same group can have different cleanup callbacks.

This callback will be called _during_ SDL_SetPointerPropertyWithCleanup if the function fails for any reason.

FUNCTION PARAMETERS

userdata
    an app-defined pointer passed to the callback.

value
    the pointer assigned to the property to clean up.

THREAD SAFETY
This callback may fire without any locks held; if this is a concern, the app should provide its own locking.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_SetPointerPropertyWithCleanup(3)